package it.integry.integrywmsnative.core.model;

import java.util.Date;

public class StbGestSetup extends EntityBase{

    private String gestName;
    private String section;
    private String keySection;
    private String value;
    private String description;
    private String flagSync;
    private String queryDefault;
    private String flagUserView;
    private String dataModifica;
    private String modificatoDa;
    private String flagSetupDepo;
    private String flagSetupUserWeb;

    public StbGestSetup() {
        type = "stb_gest_setup";
    }

    public String getGestName() {
        return gestName;
    }

    public StbGestSetup setGestName(String gestName) {
        this.gestName = gestName;
        return this;
    }

    public String getSection() {
        return section;
    }

    public StbGestSetup setSection(String section) {
        this.section = section;
        return this;
    }

    public String getKeySection() {
        return keySection;
    }

    public StbGestSetup setKeySection(String keySection) {
        this.keySection = keySection;
        return this;
    }

    public String getValue() {
        return value;
    }

    public StbGestSetup setValue(String value) {
        this.value = value;
        return this;
    }

    public String getDescription() {
        return description;
    }

    public StbGestSetup setDescription(String description) {
        this.description = description;
        return this;
    }

    public String getFlagSync() {
        return flagSync;
    }

    public StbGestSetup setFlagSync(String flagSync) {
        this.flagSync = flagSync;
        return this;
    }

    public String getQueryDefault() {
        return queryDefault;
    }

    public StbGestSetup setQueryDefault(String queryDefault) {
        this.queryDefault = queryDefault;
        return this;
    }

    public String getFlagUserView() {
        return flagUserView;
    }

    public StbGestSetup setFlagUserView(String flagUserView) {
        this.flagUserView = flagUserView;
        return this;
    }

    public String getDataModifica() {
        return dataModifica;
    }

    public StbGestSetup setDataModifica(String dataModifica) {
        this.dataModifica = dataModifica;
        return this;
    }

    public String getModificatoDa() {
        return modificatoDa;
    }

    public StbGestSetup setModificatoDa(String modificatoDa) {
        this.modificatoDa = modificatoDa;
        return this;
    }

    public String getFlagSetupDepo() {
        return flagSetupDepo;
    }

    public StbGestSetup setFlagSetupDepo(String flagSetupDepo) {
        this.flagSetupDepo = flagSetupDepo;
        return this;
    }

    public String getFlagSetupUserWeb() {
        return flagSetupUserWeb;
    }

    public StbGestSetup setFlagSetupUserWeb(String flagSetupUserWeb) {
        this.flagSetupUserWeb = flagSetupUserWeb;
        return this;
    }
}
